Exposure
curl --request GET \
--url https://api.unusualwhales.com/api/etfs/{ticker}/exposure \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.unusualwhales.com/api/etfs/{ticker}/exposure"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.unusualwhales.com/api/etfs/{ticker}/exposure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"etf": "VTI",
"full_name": "VANGUARD TOTAL STOCK MARKET INDEX FUND",
"last_price": "236.16",
"prev_price": "235.25",
"shares": 130464268,
"weight": "0.35"
},
{
"etf": "VOO",
"full_name": "VANGUARD 500 INDEX FUND",
"last_price": "435.2",
"prev_price": "433.19",
"shares": 102076425,
"weight": "0.49"
},
{
"etf": "QQQ",
"full_name": "INVESCO QQQ",
"last_price": "405.97",
"prev_price": "404.96",
"shares": 75412427,
"weight": "1.566"
},
{
"etf": "SPY",
"full_name": "SPDR S&P 500 ETF",
"last_price": "471.55",
"prev_price": "469.37",
"shares": 48427939,
"weight": "0.476355"
}
]
}{
"code": "authentication_required",
"documentation_url": "https://api.unusualwhales.com/docs",
"expected_format": "uuid",
"message": "The API token provided is not in the expected format. Unusual Whales API tokens are UUIDs, such as 123e4567-e89b-12d3-a456-426614174000.",
"reason": "malformed_token",
"request_id": "GNI_YTC1CRnw2LACGBvE",
"retryable": false,
"support_email": "[email protected]",
"token_url": "https://unusualwhales.com/dashboard/api"
}{
"code": "missing_access",
"documentation_url": "https://api.unusualwhales.com/docs",
"message": "The API token provided is valid but is not permitted to access this route.",
"reason": "route_not_permitted",
"request_id": "GNI_YTC1CRnw2LACGBvE",
"retryable": false,
"support_email": "[email protected]",
"token_url": "https://unusualwhales.com/dashboard/api"
}etfs
Exposure
Returns all ETFs in which the given ticker is a holding
GET
/
api
/
etfs
/
{ticker}
/
exposure
Exposure
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A single ticker
Example:
"AAPL"
Response
Returns the ETFs in which the given ticker is a holding
The ticker of the ETF.
Example:
"VTI"
The full name of the ETF.
Example:
"SPDR S&P 500 ETF Trust"
The closing price of the candle.
Example:
"56.79"
The previous trading day's stock price of the ticker.
Example:
"189.70"
The amount of shares that the ETF holds.
Example:
48427939
The weight in percentage that the position represents in the ETF.
Example:
"0.35"
Last modified on September 29, 2026
Was this page helpful?
